<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<floater
 legacy_header_height="18"
 height="515"
 layout="topleft"
 name="Joystick"
 title="Flycam Configuration"
 width="517">
    <floater.string
     name="NoDevice">
        No Device detected
    </floater.string>
    <icon
				follows="top|left"
				height="464"
				color="1 1 1 1"
				image_name="Panel_Background"
				layout="topleft"
				name="vicon"
				mouse_opaque="false"
				visible="true"
				width="502"
				top="20"
				left="8"/>
    <scroll_container
 color="Transparent"
 follows="all"
 layout="topleft"
 mouse_opaque="false"
 left="9"
 name="gfx_scroll"
 opaque="true"
 height="460"
 width="499"
 top="22">
  <panel
  layout="topleft"
  follows="left|top|right"
  height="789"
  name="gfx_scroll_panel"
  top="0"
  mouse_opaque="false"
  left="0"
  width="480">
   <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top="0"
 width="482"/>
    <check_box
     control_name="JoystickEnabled"
     halign="left"
     label="Enable Controller:"
     layout="topleft"
     height="14"
     left="5"
     top_delta="3"
     name="enable_joystick"
     width="120" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
     <text
     top_delta="1"
     follows="left|top"
     layout="topleft"
     left_pad="10"
     name="joystick_type"
     height="12"
     width="380" />  
    <check_box
     control_name="JoystickAvatarEnabled"
     halign="top|left"
     label="Use Flycam for Avatar Movement"
     layout="topleft"
     left="10"
     top_pad="15"
     name="JoystickAvatarEnabled"
     height="16"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <check_box
     control_name="JoystickBuildEnabled"
     halign="top|left"
     label="Use Flycam for Build Mode"
     layout="topleft"
     left_delta="0"
     top_pad="1"
     height="14"
     name="JoystickBuildEnabled"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <check_box
     control_name="JoystickFlycamEnabled"
     halign="top|left"
     label="Use Flycam for Camera Movement"
     layout="topleft"
     left_delta="0"
     top_pad="1"
     height="14"
     name="JoystickFlycamEnabled"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <check_box
     top_delta="-30"
     control_name="ZoomDirect"
     label="Direct Zoom"
     layout="topleft"
     left="270"
     name="ZoomDirect"
     height="14"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <check_box
     control_name="Cursor3D"
     top_pad="1"
     label="3D Cursor"
     layout="topleft"
     left_delta="0"
     name="Cursor3D"
     height="14"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <check_box
     top_pad="1"
     control_name="AutoLeveling"
     label="Auto Level Camera"
     layout="topleft"
     left_delta="0"
     height="14"
     name="AutoLeveling"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <check_box
     top_pad="1"
     control_name="JoystickInvertPitch"
     label="Invert Pitch"
     layout="topleft"
     left_delta="0"
     name="InvertPitch"
     height="14"
     width="60" >
     <check_box.commit_callback
     function="Joystick.Refresh"/>
     </check_box>
    <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="15"
 width="482"/>
    <text
   name="general_label"
   follows="left|top"
   layout="topleft"
   top_delta="4" 
   left="10" 
   height="12"
   width="94">
   Button Mapping:
   </text>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="0"
      top_delta="-3"
      left_pad="10"
      name="btn0"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      label="1"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      left_pad="1"
      name="btn1"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="2"
      left_pad="1"
      name="btn2"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="3"
      left_pad="1"
      name="btn3"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="4"
      left_pad="1"
      name="btn4"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="5"
      left_pad="1"
      name="btn5"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="6"
      left_pad="1"
      name="btn6"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="7"
      left_pad="1"
      name="btn7"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="8"
      left_pad="1"
      name="btn8"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="9"
      left_pad="1"
      name="btn9"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="10"
      enabled="false"
      left_pad="1"
      name="btn10"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="11"
      enabled="false"
      left_pad="1"
      name="btn11"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="12"
      enabled="false"
      left_pad="1"
      name="btn12"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="13"
      enabled="false"
      left_pad="1"
      name="btn13"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="14"
      enabled="false"
      left_pad="1"
      name="btn14"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="15"
      enabled="false"
      left_pad="1"
      name="btn15"
      width="22"/>
      <!--<button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="0"
      top_delta="-3"
      left_pad="1"
      name="btn16"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      label="1"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      left_pad="1"
      name="btn17"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="2"
      left_pad="1"
      name="btn18"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="3"
      left_pad="1"
      name="btn19"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="4"
      left_pad="1"
      name="btn20"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="5"
      left_pad="1"
      name="btn21"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="6"
      left_pad="1"
      name="btn22"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="7"
      left_pad="1"
      name="btn23"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="8"
      left_pad="1"
      name="btn24"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="9"
      left_pad="1"
      name="btn25"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="10"
      enabled="false"
      left_pad="1"
      name="btn26"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="11"
      enabled="false"
      left_pad="1"
      name="btn27"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="12"
      enabled="false"
      left_pad="1"
      name="btn28"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="13"
      enabled="false"
      left_pad="1"
      name="btn29"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="14"
      enabled="false"
      left_pad="1"
      name="btn30"
      width="22"/>
      <button
      follows="top|left"
      height="19"
      layout="topleft"
      image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      label="15"
      enabled="false"
      left_pad="1"
      name="btn31"
      width="22"/>-->
      <spinner
     top_pad="12"
     control_name="JoystickButtonJump"
     decimal_digits="0"
     increment="1"
     label="Jump Mapping"
     label_width="125"
     layout="topleft"
     left="10"
     max_val="15"
     min_val="-1"
     name="JoystickButtonJump"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonCrouch"
     decimal_digits="0"
     increment="1"
     label="Crouch Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonCrouch"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonFly"
     decimal_digits="0"
     increment="1"
     label="Fly Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonFly"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonRunToggle"
     decimal_digits="0"
     increment="1"
     label="Toggle Run Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonRunToggle"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonMouselook"
     decimal_digits="0"
     increment="1"
     label="Mouselook Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonMouselook"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonFlycam"
     decimal_digits="0"
     increment="1"
     label="Flycam Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonFlycam"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_delta="-105"
     control_name="JoystickButtonZoomOut"
     decimal_digits="0"
     increment="1"
     label="Zoom Out Mapping"
     label_width="125"
     layout="topleft"
     left="270"
     max_val="15"
     min_val="-1"
     name="JoystickButtonZoomOut"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonZoomIn"
     decimal_digits="0"
     increment="1"
     label="Zoom In Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonZoomIn"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonZoomDefault"
     decimal_digits="0"
     increment="1"
     label="Zoom Default Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonZoomDefault"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonRollLeft"
     decimal_digits="0"
     increment="1"
     label="Roll Left Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonJump"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
      <spinner
     top_pad="11"
     control_name="JoystickButtonRollRight"
     decimal_digits="0"
     increment="1"
     label="Roll Right Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="15"
     min_val="-1"
     name="JoystickButtonCrouch"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="44"
 width="482"/>
    <text
   name="general_label"
   follows="left|top"
   layout="topleft"
   top_delta="4" 
   left="10" 
   height="12"
   width="220">
   Axis Mapping:
   </text>
    <spinner
     top_pad="15"
     control_name="JoystickAxis1"
     decimal_digits="0"
     increment="1"
     label="X Axis Mapping"
     label_width="125"
     layout="topleft"
     left="10"
     max_val="5"
     min_val="-1"
     name="JoystickAxis1"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_pad="11"
     control_name="JoystickAxis2"
     decimal_digits="0"
     increment="1"
     label="Y Axis Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="5"
     min_val="-1"
     name="JoystickAxis2"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_pad="11"
     control_name="JoystickAxis0"
     decimal_digits="0"
     increment="1"
     label="Z Axis Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="5"
     min_val="-1"
     name="JoystickAxis0"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="-42"
     control_name="JoystickAxis4"
     decimal_digits="0"
     increment="1"
     label="Pitch Mapping"
     label_width="125"
     layout="topleft"
     left="270"
     max_val="5"
     min_val="-1"
     name="JoystickAxis4"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_pad="11"
     control_name="JoystickAxis5"
     decimal_digits="0"
     increment="1"
     label="Yaw Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="5"
     min_val="-1"
     name="JoystickAxis5"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_pad="11"
     control_name="JoystickAxis3"
     decimal_digits="0"
     increment="1"
     label="Roll Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="5"
     min_val="-1"
     name="JoystickAxis3"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_pad="11"
     control_name="JoystickAxis6"
     decimal_digits="0"
     increment="1"
     label="Zoom Mapping"
     label_width="125"
     layout="topleft"
     left_delta="0"
     max_val="5"
     min_val="-1"
     name="JoystickAxis6"
     width="170" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="22"
 width="482"/>
    <text
   name="general_label"
   follows="left|top"
   layout="topleft"
   top_delta="4" 
   left="10" 
   height="12"
   width="220">
   Axis Scaling Settings:
   </text>
    <text
     type="string"
     length="1"
     follows="left|top"
     halign="left"
     height="12"
     layout="topleft"
     left="125"
     mouse_opaque="false"
     name="Avatar"
     top_pad="11"
     width="102">
        Avatar
    </text>
    <text
     type="string"
     length="1"
     follows="left|top"
     halign="left"
     height="12"
     layout="topleft"
     left="230"
     mouse_opaque="false"
     name="Build"
     top_delta="0"
     width="102">
        Build
    </text>
    <text
     type="string"
     length="1"
     follows="left|top"
     halign="left"
     height="12"
     layout="topleft"
     left="335"
     mouse_opaque="false"
     name="Flycam"
     top_delta="0"
     width="102">
        Flycam
    </text>
    <text
     type="string"
     length="1"
     top_pad="12"
     halign="right"
     layout="topleft"
     left="3"
     name="XScale"
     width="100">
        X Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisScale1"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="110"
     max_val="50"
     min_val="-50"
     name="AvatarAxisScale1"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
     <button
     follows="left|top"
     control_name="AvatarAxisScale1"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="BuildAxisScale1"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="215"
     max_val="1024"
     min_val="-1024"
     name="BuildAxisScale1"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="BuildAxisScale1"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="FlycamAxisScale1"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale1"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale1"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="YScale"
     width="100">
        Y Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisScale2"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="110"
     max_val="50"
     min_val="-50"
     name="AvatarAxisScale2"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="AvatarAxisScale2"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="BuildAxisScale2"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="215"
     max_val="1024"
     min_val="-1024"
     name="BuildAxisScale2"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="BuildAxisScale2"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="FlycamAxisScale2"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale2"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale2"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="ZScale"
     width="100">
        Z Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisScale0"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="110"
     max_val="50"
     min_val="-50"
     name="AvatarAxisScale0"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="AvatarAxisScale0"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="BuildAxisScale0"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="215"
     max_val="1024"
     min_val="-1024"
     name="BuildAxisScale0"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="BuildAxisScale0"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="FlycamAxisScale0"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale0"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale0"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="PitchScale"
     width="100">
        Pitch Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisScale4"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="110"
     max_val="1024"
     min_val="-1024"
     name="AvatarAxisScale4"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="AvatarAxisScale4"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="BuildAxisScale4"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="215"
     max_val="1024"
     min_val="-1024"
     name="BuildAxisScale4"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="BuildAxisScale4"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="FlycamAxisScale4"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale4"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale4"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="YawScale"
     width="100">
        Yaw Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisScale5"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="110"
     max_val="1024"
     min_val="-1024"
     name="AvatarAxisScale5"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="AvatarAxisScale5"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="BuildAxisScale5"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="215"
     max_val="1024"
     min_val="-1024"
     name="BuildAxisScale5"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="BuildAxisScale5"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="FlycamAxisScale5"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale5"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale5"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="RollScale"
     width="100">
        Roll Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="BuildAxisScale3"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="215"
     max_val="1024"
     min_val="-1024"
     name="BuildAxisScale3"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="BuildAxisScale3"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <spinner
     top_delta="-3"
     control_name="FlycamAxisScale3"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale3"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale3"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="ZoomScale2"
     width="100">
        Zoom Scale
    </text>
    <spinner
     top_delta="-4"
     control_name="FlycamAxisScale6"
     decimal_digits="2"
     label_width="0"
     layout="topleft"
     left="320"
     max_val="1024"
     min_val="-1024"
     name="FlycamAxisScale6"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <button
     follows="left|top"
     control_name="FlycamAxisScale6"
     height="15"
     is_toggle="false"
     label_color="White"
     label="⌊invert⌉"
     image_selected="Transparent"
     image_unselected="Transparent"
     layout="topleft"
     left_pad="0"
     top_delta="3"
     name="invert"
     width="50">
     <button.commit_callback
     function="Dragon.Invert"/>
     </button>
    <text
     type="string"
     length="1"
     top_pad="8"
     halign="right"
     layout="topleft"
     left="3"
     name="XDeadZone"
     width="100">
        X Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisDeadZone1"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="110"
     name="AvatarAxisDeadZone1"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="BuildAxisDeadZone1"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="215"
     name="BuildAxisDeadZone1"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamAxisDeadZone1"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone1"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="3"
     name="YDeadZone"
     width="100">
        Y Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisDeadZone2"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="110"
     name="AvatarAxisDeadZone2"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="BuildAxisDeadZone2"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="215"
     name="BuildAxisDeadZone2"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamAxisDeadZone2"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone2"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="3"
     name="ZDeadZone"
     width="100">
        Z Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisDeadZone0"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="110"
     name="AvatarAxisDeadZone0"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="BuildAxisDeadZone0"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="215"
     name="BuildAxisDeadZone0"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamAxisDeadZone0"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone0"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="2"
     name="PitchDeadZone"
     width="100">
        Pitch Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisDeadZone4"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="110"
     name="AvatarAxisDeadZone4"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="BuildAxisDeadZone4"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="215"
     name="BuildAxisDeadZone4"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamAxisDeadZone4"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone4"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="3"
     name="YawDeadZone"
     width="100">
        Yaw Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarAxisDeadZone5"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="110"
     name="AvatarAxisDeadZone5"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="BuildAxisDeadZone5"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="215"
     name="BuildAxisDeadZone5"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamAxisDeadZone5"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone5"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="3"
     name="RollDeadZone"
     width="100">
        Roll Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="BuildAxisDeadZone3"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="215"
     name="BuildAxisDeadZone3"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamAxisDeadZone3"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone3"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="3"
     name="ZoomDeadZone"
     width="100">
        Zoom Dead Zone
    </text>
    <spinner
     top_delta="-4"
     control_name="FlycamAxisDeadZone6"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     layout="topleft"
     left="320"
     name="FlycamAxisDeadZone6"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <text
     type="string"
     length="1"
     top_pad="16"
     halign="right"
     layout="topleft"
     left="3"
     name="Feathering"
     width="100">
        Feathering
    </text>
    <spinner
     top_delta="-4"
     control_name="AvatarFeathering"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     max_val="30"
     min_val="0.01"
     layout="topleft"
     left="110"
     name="AvatarFeathering"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="BuildFeathering"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     max_val="5"
     min_val="0.01"
     layout="topleft"
     left="215"
     name="BuildFeathering"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <spinner
     top_delta="0"
     control_name="FlycamFeathering"
     decimal_digits="2"
     increment="0.01"
     label_width="0"
     max_val="5"
     min_val="0.01"
     layout="topleft"
     left="320"
     name="FlycamFeathering"
     width="56" >
     <spinner.commit_callback
     function="Joystick.Refresh"/>
     </spinner>
    <stat_view
     height="250"
     label="Joystick Monitor"
     layout="topleft"
     follows="top|left"
     left="380"
     name="axis_view"
     show_label="false"
     top_delta="-153"
     width="100">
        <stat_bar
         bar_max="1"
         bar_min="-1"
         show_bar="false"
         height="0"
         label="Axis 0"
         layout="topleft"
         left="0"
         name="axis0"
         top="20"
         width="0" />
        <stat_bar
         bar_max="1"
         bar_min="-1"
         show_bar="false"
         label="Axis 1"
         layout="topleft"
         name="axis1"/>
        <stat_bar
         bar_max="1"
         bar_min="-1"
         show_bar="false"
         label="Axis 2"
         layout="topleft"
         name="axis2"/>
        <stat_bar
         bar_max="1"
         bar_min="-1"
         show_bar="false"
         label="Axis 3"
         layout="topleft"
         name="axis3"/>
        <stat_bar
         bar_max="1"
         bar_min="-1"
         show_bar="false"
         label="Axis 4"
         layout="topleft"
         name="axis4"/>
        <stat_bar
         bar_max="1"
         bar_min="-1"
         show_bar="false"
         label="Axis 5"
         layout="topleft"
         name="axis5"/>
    </stat_view>
  </panel>
    </scroll_container>
    <button
     follows="left|top"
     height="22"
     label="SpaceNavigator Defaults"
     image_hover_unselected="Toolbar_Middle_Over"
     image_selected="Toolbar_Middle_Selected"
     image_unselected="Toolbar_Middle_Off"
     layout="topleft"
     left="9"
     name="SpaceNavigatorDefaults"
     top_pad="3"
     width="160" />
    <button
     follows="left|top"
     height="22"
     label="Xbox360 Controller Defaults"
     image_hover_unselected="Toolbar_Middle_Over"
     image_selected="Toolbar_Middle_Selected"
     image_unselected="Toolbar_Middle_Off"
     layout="topleft"
     left_pad="1"
     name="Xbox360Defaults"
     top_delta="0"
     width="160" />
    <button
     follows="right|bottom"
     height="22"
     label="OK"
     label_selected="OK"
     image_hover_unselected="Toolbar_Middle_Over"
     image_selected="Toolbar_Middle_Selected"
     image_unselected="Toolbar_Middle_Off"
     layout="topleft"
     left_pad="1"
     name="ok_btn"
     top_delta="0"
     width="88" />
    <button
     follows="right|bottom"
     height="22"
     label="Cancel"
     label_selected="Cancel"
     image_hover_unselected="Toolbar_Middle_Over"
     image_selected="Toolbar_Middle_Selected"
     image_unselected="Toolbar_Middle_Off"
     layout="topleft"
     left_pad="1"
     name="cancel_btn"
     top_delta="0"
     width="88" />
</floater>
